National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-2240 Detail

Description

scripts/dscverify.pl in devscripts before 2.12.3 allows remote attackers to execute arbitrary commands via unspecified vectors related to "arguments to external commands."

Source:  MITRE
Description Last Modified:  09/30/2012

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://www.debian.org/security/2012/dsa-2549
http://www.securityfocus.com/bid/55564
http://www.ubuntu.com/usn/USN-1593-1

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:devscripts_devel_team:devscripts:2.7.0:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.8.14:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.21:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.22:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.23:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.24:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.25:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.26:etch1:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.26:etch2:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.26:etch4:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.26:etch5:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.9.27:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.0:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.1:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.3:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.6:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.7:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.8:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.9:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.10:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.11:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.12:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.13:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.14:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.15:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.16:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.17:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.18:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.18.1:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.19:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.20:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.21:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.22:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.23:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.24:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.25:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.26:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.27:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.28:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.29:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.30:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.31:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.32:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.33:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.34:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.35:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.36:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.38:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.39:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.40:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.41:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.42:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.43:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.44:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.45:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.46:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.47:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.48:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.49:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.50:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.51:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.52:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.53:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.54:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.55:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.56:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.57:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.58:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.59:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.60:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.61:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.62:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.63:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.64:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.65.1:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.66:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.67:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.10.68:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.0:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.1:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.2:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.3:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.4:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.5:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.6:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.7:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.8:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.11.9:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.12.0:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:2.12.1:*:*:*:*:*:*:*
cpe:2.3:a:devscripts_devel_team:devscripts:*:*:*:*:*:*:*:*    versions up to (including) 2.12.2

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2012-2240
NVD Published Date:
09/30/2012
NVD Last Modified:
04/18/2013